Show / Hide Table of Contents

# Class OpenIddictValidationSystemNetHttpConfiguration

Contains the methods required to ensure that the OpenIddict validation/System.Net.Http integration configuration is valid.

##### Inheritance

System.Object
OpenIddictValidationSystemNetHttpConfiguration

##### Implements

IConfigureNamedOptions<HttpClientFactoryOptions>

###### Namespace: OpenIddict.Validation.SystemNetHttp

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class OpenIddictValidationSystemNetHttpConfiguration : IConfigureOptions<OpenIddictValidationOptions>, IConfigureNamedOptions<HttpClientFactoryOptions>

### Constructors

#### OpenIddictValidationSystemNetHttpConfiguration(IServiceProvider)

##### Declaration

    public OpenIddictValidationSystemNetHttpConfiguration(IServiceProvider provider)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IServiceProvider | provider |

### Methods

#### Configure(HttpClientFactoryOptions)

##### Declaration

    public void Configure(HttpClientFactoryOptions options)

##### Parameters

Type | Name | Description
--- | --- | ---
HttpClientFactoryOptions | options |

#### Configure(OpenIddictValidationOptions)

##### Declaration

    public void Configure(OpenIddictValidationOptions options)

##### Parameters

Type | Name | Description
--- | --- | ---
OpenIddictValidationOptions | options |

#### Configure(String, HttpClientFactoryOptions)

##### Declaration

    public void Configure(string name, HttpClientFactoryOptions options)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | name |
HttpClientFactoryOptions | options |

### Implements

IConfigureNamedOptions<>